/*
 * @Author: zong.wang01@hand-china.com
 * @Date: 2024-07-30 14:39:47
 * @LastEditors: zong.wang01@hand-china.com
 * @LastEditTime: 2024-08-09 15:12:26
 * @Version: 1.0.0
 * @Description: 工具类
 * @Copyright: Copyright (c) 2021, Hand-RongJing
 */
const getCustomizedProp = (layoutCode, tabCode, columnName, props) => {
  return props.filter(
    value =>
      value.columnName === columnName &&
      (!value.tabCode || value.tabCode === tabCode) &&
      (!value.layoutCode || value.layoutCode === layoutCode)
  );
};

const getCustomized = (layoutCode, tabCode, columnName, props) => {
  const customizedProp = getCustomizedProp(layoutCode, tabCode, columnName, props);
  return customizedProp.length > 0 ? customizedProp[0] : {};
};

const getHeaderExtrasProp = (layoutCode, tabCode, props) => {
  return props.filter(
    value =>
      (!value.tabCode || value.tabCode === tabCode) &&
      (!value.layoutCode || value.layoutCode === layoutCode)
  );
};

/**
 * 判断对象为空
 * @param v
 * @return {boolean}
 */
const isEmpty = (v) => {
  if (typeof v === 'undefined') {
    return true
  }
  if (v === undefined || v === 'undefined' || v === null || v === '' || v === 'null') {
    return true
  }

  switch (typeof v) {
    case 'string' :
      if (v.trim().length === 0) {
        return true
      }
      break
    case 'boolean' :
      if (!v) {
        return true
      }
      break
    case 'object' :
      return undefined !== v.length && v.length === 0
  }
  return false
}

const getOrganizationId = () => {
  return 0;
  // const globalState = getDvaApp()._store.getState();
  // const user = globalState.user || {};
  // switch (system) {
  //   case 'hls': // return getCurrentOrganizationId();
  //   case 'hcf':
  //     // return  0;
  //     return user?.currentUser.tenantId;
  //   default:
  //     break;
  // }
};

const getCurrentUser = () => {
  return {
    "id": 1,
    "loginName": "admin",
    "email": "admin@hzero.com",
    "organizationId": 0,
    "realName": "超级管理员",
    "phone": "18666666661",
    "internationalTelCode": "+86",
    "imageUrl": "http://hlsapp.hand-china.com/hls-file/public/hiam02/0/fd6ca1bdf3254e499b568f15cb8d3f51@WechatIMG775.jpg",
    "language": "zh_CN",
    "languageName": "简体中文",
    "timeZone": "GMT+8",
    "lastPasswordUpdatedAt": "2024-06-05 11:38:35",
    "countryId": 1,
    "countryName": "安道尔",
    "regionId": 0,
    "phoneCheckFlag": 1,
    "emailCheckFlag": 1,
    "passwordResetFlag": 1,
    "tenantName": "融租易",
    "tenantNum": "HLS",
    "dateFormat": "YYYY-MM-DD",
    "timeFormat": "HH:mm:ss",
    "dateTimeFormat": "YYYY-MM-DD HH:mm:ss",
    "changePasswordFlag": 0,
    "title": "融租易5.0",
    "logo": "http://leafdev.hand-china.com/hls-file/public/hpfm05/0/d21ff00430f146caa234a8e5ddde2320@融租易icon.png",
    "menuLayout": "inline",
    "menuLayoutTheme": "default",
    "roleMergeFlag": 0,
    "tenantId": 0,
    "currentRoleId": 1,
    "currentRoleCode": "role/organization/default/administrator",
    "currentRoleName": "租户管理员",
    "currentRoleLevel": "organization",
    "currentRoleLabels": [
        "TENANT_ADMIN"
    ],
    "favicon": "",
    "dataHierarchyFlag": 0,
    "recentAccessTenantList": []
};
};


export { getCustomizedProp, getCustomized,getHeaderExtrasProp, getOrganizationId, getCurrentUser };
